abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×
včera 08:54 | Humor
Neil McGovern, aktivní vývojář Debianu, zveřejnil na svém blogu příběh Barbie, vývojářky Debianu začínající: Jednou se Barbie, vývojářka Debianu, rozhodla, že do Debianu přidá nový init nazvaný systemd, myslela si, že to všichni ocení. Jedná se o modifikaci doprovodné knihy vydané k panence Barbie, můžu být počítačovou inženýrkou (Wikipedia). V knize se píše například, že Barbie počítačovou hru jenom navrhla, naprogramovat ji už … více »
Ladislav Hagara | Komentářů: 39
24.11. 22:51 | Komunita
Na konferenci Meet BSD California 2014 přednesl Jordan Hubbard, spoluzakladatel FreeBSD, svůj pohled na budoucí vývoj FreeBSD (video, prezentace). Přál by si otevřenost novým přístupům a ochotu k přebírání fungujících věcí odjinud. Vyjádřil i potřebu systému správy služeb po vzoru launchd nebo systemd.
michich | Komentářů: 29
22.11. 22:30 | Zajímavý projekt
Steve Chamberlin představil (YouTube) svůj malý počítač s Linuxem, jenž pojmenoval 68 Katy. Jádrem počítače postaveného na nepájivém poli (breadboard) je procesor Motorola 68008. [Slashdot]
Ladislav Hagara | Komentářů: 14
21.11. 08:57 | Zajímavý článek
Na titulnej stránke slashdotu dnes nájdete aj správičku o Vojtěchovi Pavlíkovi. Patrí mu uznanie za vedúcu rolu v SUSE Labs a projekty, ako sú kGraft (patchovanie jadra za behu) a bootovanie počítačov zamknutých pomocou secure boot. Pôvodný článok o Vojtěchovi Pavlíkovi nájdete na IT Wire. Gratulujeme.
rastos | Komentářů: 21
20.11. 10:54 | Komunita
Počínaje prosincem bude v některých zemích provedena změna na pozici výchozího vyhledávače ve Firefoxu. V USA bude nově výchozím vyhledávačem Yahoo a v rámci nové pětileté dohody bude podporovat technologii Do Not Track. V Rusku se stane výchozím vyhledávačem Yandex. V Číně bude jako výchozí pokračovat Baidu. Ostatní vyhledávače jako Google či Bing budou v nabídce i nadále. Mozilla mění strategii. Místo jedné globální smlouvy na výchozí … více »
Ladislav Hagara | Komentářů: 37
19.11. 19:34 | Zajímavý projekt
Společnost Jolla spustila na Indiegogo kampaň na podporu svého tabletu. Cílová částka 380 tisíc dolarů byla vybrána za něco málo přes 2 hodiny. V době zveřejnění zprávičky bylo vybráno přes 700 tisíc dolarů. Jolla Tablet s operačním systémem Sailfish OS 2.0, displejem o velikosti 7,85 palce a rozlišení 2048x1536, lze aktuálně koupit za 204 dolarů. Předpokládaná cena po kampani je 249 dolarů.
Ladislav Hagara | Komentářů: 68
19.11. 12:33 | Zajímavý článek
Debian zveřejnil výsledky hlasování o způsobu integrace init systémů v Debianu. V hlasování zvítězila možnost označovaná jako "General Resolution is not required".… více »
Ondřej Surý | Komentářů: 185
19.11. 10:22 | Zajímavý článek
WhatsApp, proprietární aplikace rychlých zpráv pro chytré telefony, která má více než 70 milionů aktivních uživatelů (z celkového počtu 700 milionů registrovaných), zavedla silné šifrování end-to-end. Vyvinul a nasadil je pro ni Moxie Marlinspike, známý bezpečnostní expert a aktivista, který stojí za TextSecure a WhisperPush (implementací TextSecure protokolu v CyanogenModu). Jedná se o implementaci Axolotl Ratchet (vylepšené OTR).
xm | Komentářů: 20
19.11. 04:04 | Zajímavý projekt
Electronic Frontier Foundation (EFF), Mozilla, Cisco, Akamai, IdenTrust a University of Michigan představují projekt Let’s Encrypt. Jedná se o projekt otevřené certifikační autority, jež bude od léta 2015 nabízet certifikáty pro servery rychle, bezpečně, transparentně a zadarmo. Pro správu certifikátů a automatické nastavování serverů je vyvíjen klientský software. Videoukázka na YouTube. Technické detaily na stránkách projektu. Popis použitého protokolu ACME (Automated Certificate Management Environment) na GitHubu. [Slashdot]
Ladislav Hagara | Komentářů: 49
19.11. 01:01 | Zajímavý článek
Bylo uvolněno první číslo časopisu Linux Voice z letošního dubna. K dispozici je jak jedno velké PDF o 116 stranách (61 MB), tak PDF nebo HTML verze jednotlivých článků. K některým z článků je k dispozici také jejich audio verze (OGG, MP3). Linux Voice je anglicky psaný "papírový" časopis. Po úspěšné kampani na Indiegogo bylo vydáno již 9 čísel. Jedno číslo vyjde na cca 330,- Kč, roční předplatné na cca 3000,- Kč. Polovina zisku časopisu se vrací komunitě. Jednotlivá čísla časopisu jsou po 9 měsících od vydání uvolněna pod licencí CC-BY-SA.
Ladislav Hagara | Komentářů: 0
Disketu jsem naposledy použil během
 (46%)
 (3%)
 (11%)
 (37%)
 (2%)
Celkem 1159 hlasů
 Komentářů: 40, poslední včera 09:58
Rozcestník
Reklama
Autoškola testy online Levný benzín

Návod k upgradu na kernel 2.6

15. 9. 2003 | Jeremy Andrews | Návody | 22654×

Jednoduchý postup, který vás provede konfigurací, kompilací a instalací jádra z nadcházející řady 2.6. Překlad článku Jeremyho Andrewse z kerneltrap.org.

Poznámka k překladu:

Když začaly vycházet -test verze 2.6 kernelů, chtěl jsem napsat podobný návod sám. Naštěstí jsem však neměl dost času a pár lidí mě předběhlo s články, které jsou zajímavější a přehlednější než to, co bych sepsal já. Rozhodl jsem se proto toto krátké howto od Jeremy Andrewse přeložit, místo abych psal článek nový. Jedinou novou věcí jsou tak screenshoty.

Během dvou dnů, kdy jsem text překládal, vyšla další verze (-test5) jádra. V článku ponechávám odkazy a zmínky o verzi -test4, která figuruje v originále. Samotný postup je však úplně stejný a toto malé zpoždění by při kompilaci/instalaci podle návodu nemělo hrát roli.

Odkazy v hranatých závorkách směřují na stránky kerneltrap.org.

Překlad Robert Krátký.

Návod k upgradu na kernel 2.6

Jeremy Andrews, kerneltrap.org, originální verze

Každý, kdo posledních několik měsíců sledoval vývoj linuxového jádra, slyšel o začleňování jedné skvělé funkce za druhou do zatím nevydaného jádra 2.6. Mezi významné nové věci, se kterými se uživatel setká, patří výsledky práce těchto lidí:

Protože jsem měl pár nocí zpátky trošku volného času, rozhodl jsem se vyzkoušet poslední kernel 2.6.0-test4 na svém stárnoucím stolním počítači s 550MHz PIII a výsledek byl skutečně vynikající. S přibližujícím se finálním vydáním 2.6.0 je důležité, aby tento kernel vyzkoušelo velké množství uživatelů (aka testerů). Zvláště proto, že zatím je pro vývojáře stále lákavé vychytávat chyby v jádře a vylepšovat stabilitu. Jakmile jednou začne práce na vývojovém stromu 2.7, nevyhnutelně se bude mnoho úsilí znovu zaměřovat na nové funkce.

Účelem tohoto textu je poskytnout užitečné rady těm čtenářům, kteří zatím kompilují svá vlastní 2.4 jádra, ale ještě neučinili krok k 2.6. Jedná se stále o vývojovou verzi kernelu, takže můžete narazit na problémy, ale celková stabilita a výkon jsou působivé a doporučuji vám jej vyzkoušet ještě dnes.


Určeno pro čtenáře:

Tento článek je zamýšlen pro uživatele Linuxu, kteří již nemají problémy s kompilováním svých vlastních jader 2.4. Pokud jste ještě nikdy kernel nekompilovali, navrhuji, abyste začali zde:

Kromě toho také doporučuji každému, pro koho je kernel 2.6 novou věcí, aby si prohlédli po-halloweenský dokument Davea Jonese (aka "2.5 - co očekávat").

Krok 0: Zálohujte důležitá data

Než začneme, nezapomeňte při testování vývojového kernelu čerstvě zálohovat všechna důležitá data. Ačkoliv jsem při používání 2.6.0-test4 nenarazil na žádné problémy, stále ještě tam jsou chybky...

Krok 1: Pořiďte si aktuální 2.6 kernel

Všechny oficiální verze zdrojového kódu linuxového jádra lze nalézt na http://kernel.org/. Najdete-li si nejrychlejší lokální zrcadlo, pomůžete rozdělit zátěž mezi ochotné hostitele zdrojového kódu kernelu. Seznam zrcadel kernel.org naleznete zde: http://kernel.org/mirrors/.

Ve chvíli, kdy píši tento text, je aktuálním jádrem 2.6 verze 2.6.0-test4 - vývojová verze. Dalším vydáním bude -test5, pak -test6 a tak dále, dokud autor Linuxu, Linus Torvalds, nerozhodne, že nastal čas vydat 2.6.0 - první oficiální verzi tolik očekávaného stabilního 2.6 stromu.

Po stažení zdrojového kódu je také velmi vhodné stáhnout GnuPG podpis a použít ho k ověření pravosti a platnosti zdrojových kódů vašeho nového kernelu. Více informací najdete najdete na: http://www.kernel.org/signature.html.

Krok 2: Prohlédněte si přiloženou dokumentaci

Absolutním minimem by mělo být pročtení README v hlavním adresáři a souboru Changes v adresáři Documentation, které jsou oba distribuovány se zdrojovým kódem Linuxu.

README v hlavním adresáři o sobě říká, že patří k vývojovému kernelu 2.5, protože 2.6.0-test je stále ještě součástí vývojové fáze (2.6.0 bez přípony -test bude prvním 2.6 kernelem). V tomto dokumentu naleznete mnoho dobrých rad pro úspěšné zkompilování linuxového kernelu. Text začíná takto:

"Toto jsou poznámky k vydání Linuxu verze 2.5. Pozorně si je přečtěte, protože vám poví, co je tohle všechno zač, vysvětlí instalaci kernelu a co máte dělat, když něco nebude v pořádku."

Soubor Documentation/Changes obsahuje popis nových požadavků vývojového kernelu 2.5 v podobě seznamu software, který musí být upgradován, aby správně fungoval s novým jádrem. Začíná slovy:

"Tento dokument je určen k poskytnutí seznamu minimálních verzí software nezbytných k provozu kernelů 2.5 a zároveň k poskytnutí stručných pokynů ohledně všech dalších 'vychytávek', na které mohou uživatelé narazit, když zkoušejí žít na Ostří nože."

Krok 3: Upgradujte svůj systém podle souboru Changes

Aby správně fungovaly s novým 2.6 kernelem, bude potřeba několik utilit upgradovat. O některé utility zmíněné v Changes se nemusíte starat, protože mohou být například určené pro některé souborové systémy. Nicméně alespoň u těch následujících budete muset požadavek na minimální verzi splnit (nejčerstvější požadavky zkontrolujte v Documentation/Changes -- mohlo dojít ke změně!):

Název: Minimální
verze:
Jak zjistit verzi:
Gnu C Compiler 2.95.3 gcc --version
Gnu Make 3.78 make --version
binutils 2.12 ld -v
util-linux 2.10o fdformat --version
module-init-tools 0.9.9 depmod -V
procps 2.0.9 ps --version
[procps 2.x] [procps 3.x]

Následující utility jsou pro jednotlivé souborové systémy. Pokud používáte ext2 nebo ext3, nezapomeňte aktualizovat e2fsprogs, pokud používáte jfs, nezapomeňte aktualizovat jfsutils, atd...

Pozn. překl.: Oproti verzi -test4 se ze všech uvedených utilit u -test5 změnila pouze požadovaná verze jfsutils (1.1.3).

Název: Minimální
verze:
Jak zjistit verzi:
e2fsprogs 1.29 tune2fs
jfsutils 1.0.14 fsck.jfs -V
reiserfsprogs 3.6.3 reiserfsck -V 2>&1 | grep reiserfsprogs
xfsprogs 2.1.0 xfs_db -V
nfs-utils 1.0.5 showmount --version

Pár dalších utilit, které je třeba aktualizovat, pokud je používáte:

Název: Minimální
verze:
Jak zjistit verzi:
pcmcia-cs 3.1.21 cardmgr -V
quota-tools 3.09 quota -V
PPP 2.4.0 ppd --version
isdn4k-utils 3.1pre1 isdnctrl 2>&1 | grep version
oprofile 0.5.3 oprofiled --version

Pokud budete používat poprvé ovladače ALSA, nezapomeňte navštívit http://www.alsa-project.org/ a opatřit si čerstvé alsa-lib a alsa-utils.

Krok 4: Nakonfigurujte si svůj nový kernel

Jednou z prvních změn, které si povšimnete, bude nový build systém [článek]. Starý způsob založený na Tk/Tcl ('xconfig') už neexistuje. Byl nahrazen novým Qt 'xconfig'. Těm, kterým Qt nevyhovuje, se nabízí 'gconfig' založený na Gtk.

Build metody pro 2.6:

  • make config

    make config

    To se zdá být stejné jako 'config' u kernelů 2.4. Coby nejprostší konfigurační metoda se vás pouze zeptá na každou konfigurační možnost, jednu po druhé... Vyžaduje 'bash' shell.

  • make menuconfig

    make menuconfig

    To se zdá být také stejné jako 'menuconfig' u 2.4. Jednoduchý způsob využívající curses.

  • make xconfig

    make xconfig

    Tento nový výchozí konfigurační systém používá knihovny Qt. Musím po svých zkušenostech říct, že je docela funkční a je snadné ho používat.

  • make gconfig

    make gconfig

    Tato možnost je variací na nový xconfig, která využívá Gtk knihovny místo knihoven Qt. Bohužel se mi při mém krátkém testování zdála poněkud chybová. Po spuštění vyhazoval program stále dokola stejnou chybu a poměrně brzy spadl.

    Pozn. překl.: Když jsem gconfig zkoušel u verze -test5, fungoval bez problému také jen chvilku. Předpokládám tedy, že chyby, na které narazil Jeremy, ještě nebyly opraveny.

    Zároveň chci připomenout, že pro využití obou způsobů grafické konfigurace budete potřebovat i vývojové (-dev, devel) balíčky příslušných knihoven.

  • make oldconfig

    Velkou užitečnost této metody oceníte při upgradu na novější a novější 2.6 kernely. Na první pohled vypadá stejně jako obyčejné 'make config', ale 'oldconfig' načte vaše stávající nastavení v .config a na základě těchto nastavení za vás automaticky odpoví, takže budete muset zadávat jen nové volby. Pokud budete chtít využít této možnosti, nakopírujte svůj soubor .config do adresáře kernelu a zadejte make oldconfig.

Při první kofiguraci 2.6 kernelu pamatujte na následující rady ze souboru README uloženého v hlavním adresáři zdrojových kódů:

  • Kompilace nepotřebných ovladačů kernel zvětší a může za určitých podmínek vést k problémům: hledání neexistující karty řadičů může zmást ostatní řadiče.
  • Konfigurace "kernel hacking" většinou vyústí ve větší nebo pomalejší kernel (nebo obojí) a může způsobit, že bude kernel kvůli konfiguraci některých rutin méně stabilní. Tyto rutiny se aktivně snaží způsobit chybu ve špatném kódu, aby nalezly problémy v jádře (kmalloc()). Na "development", "experimental", nebo "debugging" funkce byste proto raději měli odpovědět ne.

ALSA

Mnoho lidí bude díky upgrade z 2.4 na 2.6 poprvé používat Advanced Linux Sound Architecture (ALSA), která nahradila OSS. Ačkoliv vás může lákat možnost, že prostě povolíte překonané OSS a nic nebudete měnit, bude vám asi stát za to, když ALSA zprovozníte. Díky ALSA emulaci OSS API to nebude tak těžké. Při konfiguraci kernelu nezapomeňte povolit volby OSS emulace (SND_OSSEMUL, SND_MIXER_OSS a SND_PCM_OSS). Zároveň je třeba povolit příslušný ovladač zvukové karty (v PCI devices) - já jsem si ho zakompiloval přímo do kernelu. A nakonec nezapomeňte stáhnout a nainstalovat poslední alsa-lib a alsa-utils.

Krok 5: Zkompilujte svůj nový kernel

buildSamotná kompilace je o jeden krok snazší než u 2.4, protože už nemusíte zadávat make dep. Nový kernel sestavíte příkazem make bzImage. Pokud jste zvolili kompilaci některých modulů, budete také muset zadat make modules a make modules_install. Nebo to můžete zřetězit všechno dohromady, třeba takto make bzImage && make modules && make modules_install.

Po začátku kompilace si jistě všimnete, že standardní proces kompilace je mnohem méně upovídaný než u 2.4. Poskytuje jednoduchá shrnutí namísto výstupu kompilátoru.

Krok 6: Nové jádro nainstalujte

Teď, když máte jádro zkompilované, musíte ho nakopírovat na správné místo. Například na x86 ho najdete v arch/i386/boot. Tento soubor a nový System.map zkopírujte do /boot. Třeba takto:

# pwd
/usr/src/linux-2.6.0-test4
# mv arch/i386/boot/bzImage /boot/bzImage-2.6.0-test4
# mv System.map /boot/System.map-2.6.0-test4
# cd /boot
# rm System.map
# ln -s System.map-2.6.0-test4 System.map

Všiml jsem si, že můj nový 2.6 kernel je větší než poslední 2.4 kernel, který jsem kompiloval se stejnou verzí gcc. Je však možné, že mám povoleno více věcí:

-rw-r--r--   1 root   root   1094390 Aug 12 20:30 bzImage-2.4.21-ck3
-rw-r--r--   1 root   root   1639129 Aug 27 22:06 bzImage-2.6.0-test4

Po nakopírování jádra tam, kam patří, musíte nakonfigurovat zaváděč systému (boot loader). Pravděpodobně používáte grub (manuál) nebo lilo (howto). Pokud si nejste jisti, jak váš zaváděč systému funguje, zkuste příslušný manuál (pozn. překl.: nebo článek o lilo na AbcLinuxu.cz).

Krok 7: Ještě stále není pozdě...

Nesnažím se vás vystrašit, ale až do této chvíle jste neudělali nic, co by mohlo poškodit data na vašem disku. Nicméně, následující krok představuje nabootování nového kernelu, takže pro jistotu ještě jednou doporučuji pořídit aktuální zálohu všech důležitých dat, která na disku máte.

Krok 8: Vyzkoušejte nový kernel

Teď přichází okamžik, na který jste čekali... Je čas restartovat počítač a otestovat svůj čerstvě zkompilovaný kernel 2.6. Pokud jste vše udělali správně, uvidíte několik milých bootovacích zpráv a naskočí login (pokud bootujete do initstate=3, poznáte nový kernel okamžitě...).

Pokud to byla první instalace ovladačů ALSA, můžete ověřit, zda je váš ovladač správně natažen příkazem cat /proc/asound/cards. Například:

$ cat /proc/asound/cards
0 [Live         ]: EMU10K1 - Sound Blaster Live!
                Sound Blaster Live! (rev.5) at 0x18e0, irq 11

Jestli vidíte něco podobného, ale zvuk stále nefunguje, spusťte alsamixer a nastavte hlasitost. Zprvu jsem nechápal, proč nestačí nastavit 'Master' - je potřeba ještě 'PCM' (/dev/dsp), aby zvuk fungoval.

uname Až vyzkoušíte svůj nový kernel 2.6, byl bych rád, kdybyste přidali komentář se svými postřehy. Zároveň se nebudu bránit návrhům na vylepšení tohoto návodu.

Pokud s novým kernelem narazíte na problémy, podívejte se znovu do README v hlavním adresáři zdrojových kódů kernelu, které má užitečnou kapitolu nazvanou "IF SOMETHING GOES WRONG". Bude-li třeba, podívejte se i na soubor v hlavním adresáři 'REPORTING-BUGS'. Než pošlete zprávu do velmi vytížené konference Linux kernel mailing list, nezapomeňte hledat v jednom nebo druhém z mnoha online lkml archívů, abyste zjistili, jestli už někdo problém nenahlásil a nebo ještě lépe, jestli už někdo neposlal opravu. A nakonec se můžete také zkusit zeptat na KernelTrap v 2.6 kernel fóru (pozn. překl.: a samozřejmě také v diskuzi na AbcLinuxu.cz).

Další tipy/FAQ:

Díky velkému množství reakcí čtenářů ve formě komentářů pod článkem a soukromých mailů mohu na konec tohoto textu přidat několik nahodilých, ale doufejme užitečných, rad. Pokud máte další tipy, nestyďte se mi poslat email. (Pokud už jste komentář poslali, ale ještě jsem neodpověděl, mějte prosím trpělivost...)

Lze linuxové jádro kompilovat pomocí GCC 3.x?
Já sám jsem zkompiloval jádro 2.6.0-test4, které právě teď používám, pomocí 3.2 a nemám s ním žádné problémy. Vypadá to, že panuje všeobecná shoda, že by to ve většině případů mělo fungovat, ale pokud narazíte na nějaké kompilační problémy, zkuste to znovu s upřednostňovaným gcc 2.95.3.
Kde se mohu více dozvědět o ALSA?
Na domovské stránce Advanced Linux Sound Architecture je mnoho informací: http://www.alsa-project.org/.
Funguje s 2.6 nVIDIA ovladač?
nVIDIA ovladače fungující s 2.6 naleznete na http://www.minion.de/.
Jak mohu nainstalovat a používat Reiser4 filesystém?
Tvůrci Reiser4, namesys, vydali krátký 'getting started' dokument.
Existují nějaké speciální rady pro uživatele RedHat 9?
Máte štěstí. Lidi mi řekli o pár dokumentech, které vás provedou specifickými problémy, na které můžete narazit při upgradu RedHatu 9 na 2.6 kernel: tady a tady.
Existují nějaké speciální rady pro uživatele Debianu?
Několik čtenářů poskytlo odkaz na tento článek na linmagau.org, i když popisuje kompilaci 2.4 kernelu. V současné době existuje debianní baliček kernelu 2.6.0-test2 (zde (Pozn. překl.: Teď už i -test4.). Jeden čtenář dodal: "Debian Woody systém bude mít problém s moduly. Ale lidé, kteří používají Debian Sid (a Sarge) mohou prostě apt-get install module-init-tools. Potěšilo mě, že Debian při bootu zjistí, jestli používat nové module-init-tools nebo starší modutils. I když, možná, že to dělají všechna distra." (pozn. překl.: neoficiální balíček module-init-tools pro Woodyho najdete zde).
Proč jsi mě nevaroval před problémem s <xx>?
Abych pravdu řekl, já jsem na žádné problémy nebo zrady při upgradu na 2.6.0-test4 nenarazil. Ale jakmile se budu dozvídat o dalších problémech a řešeních, budu je sem přidávat.

Copyright Jeremy Andrews & kerneltrap.org.

       

Hodnocení: 47 %

        špatnédobré        

Nástroje: Tisk bez diskuse

Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

Komentáře

Vložit další komentář

15.9.2003 20:38 Volar
Rozbalit Rozbalit vše Podakovanie
Velmi pekne dakujem za preklad. Hned odskusam...
15.9.2003 20:53 Tomáš
Rozbalit Rozbalit vše Mně funguje,
ale nějak se mi nepodařilo zprovoznit myš. Pochopil jsem, že /dev/psaux asi není to pravé ořechové, ale nikde jsem nenašel, jaký link je ten správný. Nedokázal jsem to rozchodit ani na konzoli ani v X.
15.9.2003 21:22 Ivo Danihelka | skóre: 3
Rozbalit Rozbalit vše Mně funguje,
Koukni do logu Xek, u me potrebovali /dev/input/mice
16.9.2003 00:50 Peter Bodnar
Rozbalit Rozbalit vše Re: Mně funguje
no, u mna nepomohlo ani modprobe psmouse, PS/2 mys sa nerozbehla, V X-kach mam /dev/input/mice, ale nic ked dam cat /dev/input/mice, hlasi mi neexistujuce zariadenie (devnode existuje)
16.9.2003 10:47 Tomáš
Rozbalit Rozbalit vše Re: Mně funguje
No já mám dojem, že mi prostě selže mousedev. cat /dev/input/mice nedělá nic, tedy ten soubor existuje, ale na pohyby myší nijak nereaguje, cat /dev/input/mouseX hlásí neexistující soubor. Podle toho, co jsem si přečetl, tak by modul mousedev měl simulovat /dev/psaux. No jo, možná že spojení desky ECS K7S5A a myši Genius NetScroll+ není ještě tak úplně odladěno :-) Při bootu mi to napíše, že to našlo PS/2 klávesnici, ale o myši ani slovo.
16.9.2003 09:56 Maud Lebowski
Rozbalit Rozbalit vše Mně funguje,
je treba mit nastavene (pri make menuconfig):
Input device support  --->
<*> Serial i/o support (needed for keyboard and mouse) 
[*] Mice 
<*>   PS/2 mouse
[*] Misc 
   PC Speaker support

(1024) Horizontal screen resolution                            
(768) Vertical screen resolution
16.9.2003 21:36 chalucha | skóre: 3
Rozbalit Rozbalit vše Mně (ne)funguje,
Taky mam problem s myskou ;(
Genius NetScroll opticka pres PS2 To Misc je take nutne? Ostatni mam samozrejme zakompilovano, ale s Misc jsem to jeste nezkousel. S /dev/input/mice mi to v xkach nejede ;(
18.9.2003 00:21 ApoC
Rozbalit Rozbalit vše Mně (ne)funguje,
Presne tuhle mys mam a jako cestu k device mam nastaveno /dev/psaux, slape bez problemu
15.9.2003 21:36 Zdeněk Štěpánek | skóre: 57 | blog: uz_mam_taky_blog | varnsdorf
Rozbalit Rozbalit vše ja uz mam stahnuto
Zdravim Ja to otestuju, ale nejak si nevim rady s tim xconfigem. vyplivlo to na me tak obrovskej strom ze snist jedno jeho jablko by mi za tyden. ale snad si na to nekdy cas najdu. nicmene uz to ze jse se dostal k xconfigu je uspech :-) zdenek
www.pirati.cz - s piráty do parlamentu i jinam www.gavanet.org - czfree varnsdorf
15.9.2003 23:58 Jan K. (Hoky) | skóre: 8
Rozbalit Rozbalit vše Kernel 2.6 + Radeon 9000 + Gentoo
Podarilo se nekomu zkompilovat ati-drives-3.2.5 v Gentoo linuxu s jadrem 2.6?
16.2.2004 00:13 Samuel | skóre: 4
Rozbalit Rozbalit vše Kernel 2.6 + Radeon 9000 + Gentoo
Podarilo se (Kernel 2.6.2 + ati-drivers 3.2.5 "ATI Radeon 9600" + Gentoo). Popiste problem...
16.9.2003 04:34 Vojta Pichl | skóre: 20 | F-M
Rozbalit Rozbalit vše Lirc a sensory
Rozběhal jste někdo Lirc? A čím se dají využít informace ze senzorů, které má jádro v sobě?
17.9.2003 11:18 Petr D
Rozbalit Rozbalit vše iproute2 - ip nejde zabit
nenahodi se mi pri bootu eth0. Potom tam strasi proces ip, ktery zere 99% CPU a NEJDE ZABIT!!! kill -9 NEFUNGUJE! HRUZA! PANIKA! nechapu, jak je to vubec mozne. pracuju na odstraneni, ale zatim se nedari. jinak je to perfect. Dokonce i fb se zkompiloval a zda se ze funguje.
17.9.2003 13:05 Petr D
Rozbalit Rozbalit vše iproute2 - ip nejde zabit
jo! a navic jsem ted mel prehlidku error messages od ext3. jako "journal aborted, invalid cosi a failed neco jineho.". pak mi to pul hodiny spravoval fsck. na druhe strane mne velice laka svih Xek s novym jadrem. reakce je okamzita. je to silne znat. akorat ta stabilita fakt neni.
18.9.2003 00:48 Petr D
Rozbalit Rozbalit vše uz to fachci.
Pozn: export LD_ASSUME_KERNEL=2.2 rpmku nepomuze (pokud vam taky nefachci rpm). jedine nova verze. jinak pro lidi s vice kartami: doporucuju max. 1 ovladac natvrdo do kernelu, dalsi jako modul. cerstve zazitky: X responsiveness is DAMN G00D! quake3 mi bezi o 1/3 rychleji. BillardGL s maximalnimi parametry fici jen to svisti. (matrox G550).
18.9.2003 01:05 Petr D
Rozbalit Rozbalit vše uz to fachci.
ORACLE taky jede! w0w!
17.9.2003 12:13 Zdeněk Štěpánek | skóre: 57 | blog: uz_mam_taky_blog | varnsdorf
Rozbalit Rozbalit vše tak ja uz jedu ...
Zdravim Ja uz jsem ho zkompiloval. Predtim jsem mel orig. jadro z MDK9 (2.4.21-mdk). Nekompiloval jsem zbytecnosti jako framebuffer a podobne, jen to potrebne. Primo do jadra jsem dal podporu pro moji zvukovku pres alsu. Vysledek je ze pri bootu to hlasi ze alsa driver je uz nahrany a zvukovka samozrejme nefunguje. Podobne je na tom i TV karta BT848. Ale to je vsechno vicemene zalezitost nastaveni rc.modules a tak. Zadne problemy s mysi (ps/2) ani se sitovkou (8139too) jsem nezaznamel, vse chodi jak ma. Akorat mam drobny technicky dotaz. Kdyz pomoci modprobe nahravam modul bttv tak mu davam nejake parametry. jak se tohle dela kdyz mam tento modul primo v jadre? Diky zdenek
www.pirati.cz - s piráty do parlamentu i jinam www.gavanet.org - czfree varnsdorf
18.9.2003 17:08 hkmaly
Rozbalit Rozbalit vše Re: tak ja uz jedu ...
No, za casu 2.4.x se parametry predavali jadru, nejcasteji pomoci "append" v lilo.conf ... (man lilo.conf).
18.9.2003 00:23 ApoC
Rozbalit Rozbalit vše bzlilo
Jenom k te kompilaci chci podotknout, ze funguje make bzlilo, ktere za vas provede i nastaveni lila.
22.9.2003 20:27 Noxius | skóre: 13
Rozbalit Rozbalit vše eh
to som tusim jediny, ktoremu to nejde :{ skusal som to na debiane 3 a konkretne kernel-2.6.0-test4, vsetko prebehlo tak ako ma, teda aspon sa to tak tvarilo, ale ked rebootol a dal nabootovat 2.6 kernel, tak sice zacalo vypisovat acpi atd, ale posledny riadok co sa vypisal je mouse: ps2 ...... a dal nic, ziadny error, proste zamrzol a pomohol len tvrdy restart :{ ja viem ze existuje balik pre debiana, ale chcel som to skusis skompilovat :D
6.2.2004 12:05 Mk | skóre: 11 | blog: vykrik_do_tmy
Rozbalit Rozbalit vše kde je chyba?
Při pokusu o kompilaci kernelu 2.6.2 je proces ukončen během cca 3 sec se spoustou chybových hlášek, zkopíroval jsem jen konec: undefined type `class ConfigList' /home/marek/linux-2.6.2/scripts/kconfig/qconf.h:8: error: forward declaration of `class ConfigList' /home/marek/linux-2.6.2/scripts/kconfig/qconf.cc:399: error: invalid declarator /home/marek/linux-2.6.2/scripts/kconfig/qconf.cc:399: error: syntax error before `{' token /home/marek/linux-2.6.2/scripts/kconfig/qconf.cc:410: error: ISO C++ forbids declaration of `last' with no type /home/marek/linux-2.6.2/scripts/kconfig/qconf.cc:410: confused by earlier errors, bailing out make[2]: *** [scripts/kconfig/qconf.o] Error 1 make[1]: *** [xconfig] Error 2 make: *** [xconfig] Error 2

Používám SuSE 9, gcc 3.3.1, make 3.80, binutils 2.14, util-linux 2.11z, module-init-tools 0.9.14-pre2, procps 3.1.11 ss-RaiserFS prosim o jakoukoli radu.
12.2.2004 21:17 Lukáš Zapletal | skóre: 42 | blog: lzapův svět | Olomouc
Rozbalit Rozbalit vše kde je chyba?
Mě to v SUSE 9 jede...

aplikoval jste nějaké patche nebo to je vanilka?
11.3.2004 01:44 Vladimír
Rozbalit Rozbalit vše Jak jde 2.6 dohromady s International Kernel?

Zdravím. Používám redhat 9.0 a patchované jádro 2.4.20, abych mohl používat šifrování Bluefish přes losetup. Pamatuji, že před kompilaci 2.4.20 mi syn zaváděl nějaké dva (možná tři) patche. Šlo o to, že standardní kernel nepodporuje silné šifrování, myslím, že to je omezení USA.

Je nutno stejnou operaci provést i v případě jádra 2.6? Má s tím někdo nějaké zkušenosti?

Založit nové vláknoNahoru

ISSN 1214-1267   Powered by Hosting 90 Server hosting
© 1999-2013 Argonit s. r. o. Všechna práva vyhrazena.